<?php 

/**
 * Customizer Partial Functions
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 */

if ( ! function_exists( 'philosophy_pro_main_slider_learn_more_refresh' ) ) :
	/**
	 * Render main slider learn more text for the selective refresh partial.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_main_slider_learn_more_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['slide_learn_more_text'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_about_subtitle_refresh' ) ) :
	/**
	 * Render about section subtitle refresh partial.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_about_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['about_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_about_learn_more_text_refresh' ) ) :
	/**
	 * Render about section learn more text refresh partial.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_about_learn_more_text_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['about_learn_more_text'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_about_custom_description_refresh' ) ) :
	/**
	 * Render about section custom description partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_about_custom_description_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['about_custom_description'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_about_custom_title_refresh' ) ) :
	/**
	 * Render about section custom title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_about_custom_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['about_custom_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_services_custom_title_refresh' ) ) :
	/**
	 * Render services section custom title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_services_custom_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['services_custom_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_services_subtitle_refresh' ) ) :
	/**
	 * Render services section subtitle partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_services_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['services_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_services_custom_description_refresh' ) ) :
	/**
	 * Render services section custom description partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_services_custom_description_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['services_custom_description'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_services_learn_more_text_refresh' ) ) :
	/**
	 * Render services section learn more text partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_services_learn_more_text_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['services_learn_more_text'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_skills_custom_title_refresh' ) ) :
	/**
	 * Render skill section custom title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_skills_custom_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['skills_custom_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_skills_subtitle_refresh' ) ) :
	/**
	 * Render skill section subtitle partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_skills_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['skills_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_skills_custom_description_refresh' ) ) :
	/**
	 * Render skill section custom description partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_skills_custom_description_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['skills_custom_description'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_clients_custom_title_refresh' ) ) :
	/**
	 * Render client section custom title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_clients_custom_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['clients_custom_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_clients_custom_subtitle_refresh' ) ) :
	/**
	 * Render client section custom subtitle partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_clients_custom_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['clients_custom_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_blogs_title_refresh' ) ) :
	/**
	 * Render blog section title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_blogs_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['blogs_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_blogs_subtitle_refresh' ) ) :
	/**
	 * Render blog section title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_blogs_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['blogs_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_contact_custom_title_refresh' ) ) :
	/**
	 * Render contact section custom title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_contact_custom_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['contact_custom_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_contact_subtitle_refresh' ) ) :
	/**
	 * Render contact section custom subtitle partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_contact_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['contact_subtitle'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_hero_content_title_refresh' ) ) :
	/**
	 * Render hero content title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_hero_content_title_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['hero_content_title'] );
	}
endif;

if ( ! function_exists( 'philosophy_pro_hero_content_subtitle_refresh' ) ) :
	/**
	 * Render hero content sub title partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function philosophy_pro_hero_content_subtitle_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['hero_content_subtitle'] );
	}
endif;

if ( ! function_exists( 'tp_philosophy_pro_copyright_text_refresh' ) ) :
	/**
	 * Render copyright text partial refresh.
	 *
	 * @since 1.0
	 *
	 * @return string
	 */
	function tp_philosophy_pro_copyright_text_refresh() {
		$options = tp_philosophy_pro_get_theme_options();
		return esc_html( $options['copyright_text'] );
	}
endif;